Subject: [ANNONCE] new release of tcsh for B20.1 [was Re: TCSH?]
From: [email-masked] (Corinna Vinschen)

17 Dec 1998 05:38:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------D3649C966DC599EB22E8F85A"
To: "Joseph M. Reagle Jr." <[email-masked]>, [email-masked]

This is a multi-part message in MIME format.
--------------D3649C966DC599EB22E8F85A
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Joseph M. Reagle Jr. wrote:
> 
> Unfortunately, it will only find the file if I type in the extension. I've
> noted in other shells sometimes they like if you set a variable "set
> ext=.exe;.com" or some such thing, but that doesn't seem to help. 

Hi Joseph,

tcsh isn't prepared for using extensions on files. As on UNIX, you have to
type in the full name of a binary, to start it. In my environment, I don't use extensions for binaries anymore. They are useless IMHO, because I never use
something like cmd.

BUT:
I have done a patch to tcsh, which allows the usage of the common
extensions .exe and .com on binaries.
I have uploaded this version with changed README plus diff-file to
the ftp.franken.de server.
You will find it in a few days at the usual location:

ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin32/porters/Vinschen_Corinna/B20

It will be named

	tcsh-6.08.00.x.tar.gz		(`x' for `extension')

> Also, in
> your compile bindkey isn't supported, that is why we need a .termcap?

bindkey _is_ supported!

> 
> Would you mind sending me the .* files?

I don't understand the question, what .* files???

Regards,
Corinna
--------------D3649C966DC599EB22E8F85A
Content-Type: text/plain; charset=us-ascii; name="tcsh-6.08.00.x.README"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="tcsh-6.08.00.x.README"

   *tcsh 6.08.00*
   --------------

   - what is it?
     - Extended C-Shell

   - system
     - Windows NT/95/98 with cygwin1.dll

   - Cygwin
     - for B20
     - binary and text mount
     - CYGWIN=[all one]
   
   - preliminaries
     - Use `tcsh.diff' from archive, to patch the files
       `configure', `sh.exec.c', `tc.os.h'
     - Use `german_umlauts.diff' if you want to use german umlauts
       in tcsh commandline.

   - configure
     - Use `config.h' from archive.

   - make
     - Add `-UWINNT' to CFLAGS.
     - Choose either
         LIBES= -ltermcap
       or
         LIBES= -lncurses,
       which ever fits your environment.

   - make install
     - nothing to do.

   - notes
     - You _must_ have set environment variable HOME _before_ starting
       tcsh.
     - Unlike the previous version, this version of tcsh allows the
       usage of common extensions .exe and .com on executable files.
     - The archive contains two binaries, one compiled with -lcurses,
       the other with -ltermcap.
     - The binaries are _not_ patched for usage of german umlauts!
     --------- The following note is withdrawn since B20.1 ---------
     - At the moment, tcsh is only useful as login shell, because of an
       error in cygwin1.dll, which will be fixed in the next release.

   - package availability
     - on ftp.gw.com
     - in /pub/unix/tcsh
     - as tcsh-6.08.tar.gz

   - contributed by
     - [email-masked] (Corinna Vinschen)

--------------D3649C966DC599EB22E8F85A--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".